[Overview][Resource strings][Classes][Index] | Reference for unit 'stringtableresource' (#fcl-res)

# TStringTableResource.Create

Creates a new string table resource

## Declaration

Source position: stringtableresource.pp line 63

`public constructor TStringTableResource.Create; override; constructor TStringTableResource.Create(`
`aType: TResourceDesc;`
`aName: TResourceDesc`
`); override;`

## Arguments

`aType` |  | Ignored. Can be nil.
`aName` |  | The name of the resource. Must be of type dtID and in the range 1-4096

## Description

Please note that aType parameter is not used, since this class always uses RT_STRING as type.

Remark: | aName must be a TResourceDesc of type dtID and its value must be in the range 1-4096, otherwise an EStringTableNameNotAllowedException exception is raised.

## Errors

If aName is not of type dtID and/or its value isn't in the range 1-4096, an EStringTableNameNotAllowedException exception is raised.

## See also

TStringTableResource.FirstID |  | The ID of first the string contained in the string table